# Drop Columns

Drop columns by passing either an include\_cols list of columns to include or an exclude\_cols list of columns to exclude.

Passing both include\_cols and exclude\_cols will result in an error.

## Parameters

| Name          | Type         | Description                                                                                                      | Is Optional |
| ------------- | ------------ | ---------------------------------------------------------------------------------------------------------------- | ----------- |
| include\_cols | column\_list | A list of the columns from the dataset you want to keep.                                                         | True        |
| exclude\_cols | column\_list | A list of the columns from the dataset you want to drop. Any columns not in the exclude\_cols list will be kept. | True        |

## Example

```python
ds = rasgo.get.dataset(id)

ds2a = ds.drop_columns(include_cols=["DS_WEATHER_ICON", "DS_DAILY_HIGH_TEMP"])
ds2a.preview()

ds2b = ds.drop_columns(exclude_cols=["DS_CLOUD_COVER", "DS_TOTAL_RAINFALL"])
ds2b.preview()

```

## Source Code

{% embed url="<https://github.com/rasgointelligence/RasgoTransforms/blob/main/rasgotransforms/rasgotransforms/transforms/drop_columns/drop_columns.sql>" %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.rasgoml.com/rasgo-docs/rasgo-0.1/all-transforms/drop_columns.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
